slepc-3.10.1 2018-10-23
Report Typos and Errors

# FNSetType

Selects the type for the FN object.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetType(FN fn,FNType type)

Logically Collective on FN

### Input Parameter

| fn | - the math function context
| type | - a known type

### Notes

The default is FNRATIONAL, which includes polynomials as a particular case as well as simple functions such as f(x)=x and f(x)=constant.

### See Also

FNGetType()

Location: src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex36.c.html
src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html
src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex26.c.html
src/mfn/examples/tutorials/ex37.c.html
src/mfn/examples/tutorials/ex39.c.html